## org.w3c.www.mime
Class Utils

    java.lang.Object
      |
      +--org.w3c.www.mime.Utils

public class Utils
extends java.lang.Object

Constructor Summary
`Utils()`

Method Summary
`static java.lang.String` `getCharset(java.util.Locale locale)`
`static java.lang.String` `getCharset(java.lang.String lang)`
`static java.lang.String[]` `getKnownCharsets()`
`static java.util.Vector` `getKnownCharsetsinVector()`
`static java.lang.String[]` `getKnownExtensions()`
`static java.util.Vector` `getKnownExtensionsinVector()`
`static java.lang.String[]` `getKnownLanguages()`
`static java.util.Vector` `getKnownLanguagesinVector()`
`static java.lang.String[]` `getKnownMimeTypes()`
`static java.util.Vector` `getKnownMimeTypesinVector()`
`static MimeType` `getMimeType(java.lang.String filename)`
`static java.lang.String` `guessContentTypeFromName(java.lang.String fname)` A useful utility routine that tries to guess the content-type of an object based upon its extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### guessContentTypeFromName

    public static java.lang.String guessContentTypeFromName(java.lang.String fname)

  A useful utility routine that tries to guess the content-type of an object based upon its extension.

### getMimeType

    public static MimeType getMimeType(java.lang.String filename)

### getKnownMimeTypesinVector

    public static java.util.Vector getKnownMimeTypesinVector()

### getKnownMimeTypes

    public static java.lang.String[] getKnownMimeTypes()

### getKnownExtensionsinVector

    public static java.util.Vector getKnownExtensionsinVector()

### getKnownExtensions

    public static java.lang.String[] getKnownExtensions()

### getKnownLanguagesinVector

    public static java.util.Vector getKnownLanguagesinVector()

### getKnownLanguages

    public static java.lang.String[] getKnownLanguages()

### getKnownCharsetsinVector

    public static java.util.Vector getKnownCharsetsinVector()

### getKnownCharsets

    public static java.lang.String[] getKnownCharsets()

### getCharset

    public static java.lang.String getCharset(java.util.Locale locale)

### getCharset

    public static java.lang.String getCharset(java.lang.String lang)